> 1 <

Автор Сообщение

jackson

Members


Статус

1 сообщений

Где: Russia
Род занятий:
Возраст:

#7393   2014-06-10 02:34 GMT+3 часа(ов)      
Очень нужна программа для развертки 2х цилиндров
Вот что имею , кто может подредактировать

(defun c:RAZVR ( / x h R lst)

(setq h (getreal "Введите радиус первого цилиндра:"))

(setq R (getreal "Введите радиус второго цилиндра:"))

(setq x 0)
(while (<= x (* PI h))
(setq lst (cons (list x (- R (SQRT(- (* R R) (* (SIN X) h (sin x) h )))) ) lst) x (+ x 0.01))

(command "_.zoom" "_.o" (pln (reverse lst) nil) "")

);end of while
(setq P1 '(0.0 0.0))

(setq P2 (polar P1 (/ PI 2) h))

(setq P3 (polar P2 0.0 (* PI h)))

(setq P4 (polar P3 ( / (* 3 PI) 2) h))

(command "_LINE" P1 P2 P3 P4 "С" )

)
> 1 <


Онлайн :

0 пользователь(ей), 8 гость(ей) :




Реклама на сайте: